org.apache.avro.mapreduce

## Class AvroKeyValueOutputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<K,V>
    - - org.apache.avro.mapreduce.AvroOutputFormatBase<K,V>
      - - org.apache.avro.mapreduce.AvroKeyValueOutputFormat<K,V>

- Type Parameters:
    `K` - The type of key. If an Avro type, it must be wrapped in an `AvroKey`.
    `V` - The type of value. If an Avro type, it must be wrapped in an `AvroValue`.

      public class AvroKeyValueOutputFormat<K,V>
      extends AvroOutputFormatBase<K,V>

  FileOutputFormat for writing Avro container files of key/value pairs.

  Since Avro container files can only contain records (not key/value pairs), this output format puts the key and value into an Avro generic record with two fields, named 'key' and 'value'.

  The keys and values given to this output format may be Avro objects wrapped in `AvroKey` or `AvroValue` objects. The basic Writable types are also supported (e.g., IntWritable, Text); they will be converted to their corresponding Avro types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroKeyValueOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<K,V>` | `getRecordWriter(TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.avro.mapreduce.AvroOutputFormatBase

      `getAvroFileOutputStream, getCompressionCodec, getSyncInterval`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroKeyValueOutputFormat

          public AvroKeyValueOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<K,V> getRecordWriter(TaskAttemptContext context)
                                            throws IOException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<K,V>`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.